import { ComponentFixture, TestBed } from '@angular/core/testing';

import { MeasurementsTabComponent } from './measurements-tab.component';
import {TabsComponent} from '../../tabs/tabs.component';
import {MatTabsModule} from '@angular/material/tabs';
import {Component} from '@angular/core';

@Component({selector: 'app-measurements-midwife', template: ''})
class MidwifeStubComponent {
}

@Component({selector: 'app-measurements-scans', template: ''})
class ScansStubComponent {
}
@Component({selector: 'app-measurements-summary', template: ''})
class SummaryStubComponent {
}
@Component({selector: 'app-measurements-screenings', template: ''})
class ScreeningsStubComponent {
}

describe('MeasurementsOverviewComponent', () => {
  let component: MeasurementsTabComponent;
  let fixture: ComponentFixture<MeasurementsTabComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [MatTabsModule],
      declarations: [MeasurementsTabComponent,
        TabsComponent,
        MidwifeStubComponent,
        ScansStubComponent,
        SummaryStubComponent,
        ScreeningsStubComponent
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(MeasurementsTabComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
